bitbake: build: Exit scripts with result of last shell function

Since shell scripts run with 'set -e' the final exit at the end of the
script can only be returning 0. However, for correctness and to follow
the original intention of the 'cleanup' commands, let's fix the typo
and return the success of the last shell function rather than the
success of unhooking the exit trap handler.

(Bitbake rev: bef724057f1ea81571dd3ac5a9cf862f818434b5)

Signed-off-by: Andre McCurdy <armccurdy@gmail.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
This commit is contained in:
Andre McCurdy 2015-07-23 16:09:01 -07:00 committed by Richard Purdie
parent eeb412d01d
commit 1b88b7426a
1 changed files with 1 additions and 1 deletions

View File

@ -313,7 +313,7 @@ def exec_func_shell(func, d, runfile, cwd=None):
# cleanup
ret=$?
trap '' 0
exit $?
exit $ret
''')
os.chmod(runfile, 0775)